
CoCoA-5 - Bug #1190

HilbertBasisKer: SEGV (again)

19 Jun 2018 11:43 - John Abbott

Status: Closed Start date: 19 Jun 2018

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: bug Estimated time: 3.51 hours

Target version: CoCoA-5.2.4 Spent time: 3.40 hours

Description

I get SEGV with the following input:

N := 9;

M := mat([[ random(-99,99) | j in 1..2*N] | i in 1..N]);

H := HilbertBasisKer(M);

Related issues:

Related to CoCoA-5 - Bug #226: HilbertBasis segv Closed 10 Sep 2012

History

#1 - 19 Jun 2018 11:44 - John Abbott

CoCoA should never SEGV --> high priority.

Also it would help to make HilbertBasisKer interruptible.

#2 - 21 Jun 2018 18:18 - Anna Maria Bigatti

- Related to Bug #226: HilbertBasis segv added

#3 - 25 Jun 2018 08:59 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 80

The problem is that this is old C code (toric), thus it impossible to make it interruptible (we can interrupt it, of course, but I don't know how to clean the

memory state)

In this example the input translated into the C data type gave a biterm with negative degree (entries are int).  I do not dare changing int into long, but I

added a check so that any exponent has upper limit maxint/numindets (functions PPs2Binom and MatKerToBListAndIndices in $TmpToric.C$).

#4 - 25 Jun 2018 11:31 - Anna Maria Bigatti

- Status changed from New to Feedback

- Estimated time set to 3.01 h

Added test.  Checked in.

#5 - 25 Jun 2018 11:32 - Anna Maria Bigatti

- % Done changed from 80 to 90

- Estimated time changed from 3.01 h to 3.51 h
#6 - 30 Jul 2018 14:15 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

CLosing
